org.apache.ignite.internal.management.cache

## Class CacheValidateIndexesCommandArg

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.management.cache.CacheValidateIndexesCommandArg

All Implemented Interfaces:
  Externalizable, Serializable

    public class CacheValidateIndexesCommandArg
    extends IgniteDataTransferObject

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
Constructor and Description
`CacheValidateIndexesCommandArg()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `caches()`
`void` `caches(String[] caches)`
`boolean` `checkCrc()`
`void` `checkCrc(boolean checkCrc)`
`int` `checkFirst()`
`void` `checkFirst(int checkFirst)`
`boolean` `checkSizes()`
`void` `checkSizes(boolean checkSizes)`
`int` `checkThrough()`
`void` `checkThrough(int checkThrough)`
`UUID[]` `nodeIds()`
`void` `nodeIds(UUID[] nodeIds)`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `value()`
`void` `value(String value)`
`String` `value2()`
`void` `value2(String value2)`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheValidateIndexesCommandArg

    public CacheValidateIndexesCommandArg()

### Method Detail

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### value2

    public String value2()

#### value2

    public void value2(String value2)

#### value

    public String value()

#### value

    public void value(String value)

#### nodeIds

    public UUID[] nodeIds()

#### nodeIds

    public void nodeIds(UUID[] nodeIds)

#### caches

    public String[] caches()

#### caches

    public void caches(String[] caches)

#### checkFirst

    public int checkFirst()

#### checkFirst

    public void checkFirst(int checkFirst)

#### checkThrough

    public int checkThrough()

#### checkThrough

    public void checkThrough(int checkThrough)

#### checkCrc

    public boolean checkCrc()

#### checkCrc

    public void checkCrc(boolean checkCrc)

#### checkSizes

    public boolean checkSizes()

#### checkSizes

    public void checkSizes(boolean checkSizes)

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023